
Ti.App.Cloud = require("ti.cloud");

Ti.App.CloudPush = require('ti.cloudpush');
Ti.App.CloudPush.enabled = true;
Ti.App.CloudPush.showTrayNotification = true;
Ti.App.CloudPush.showTrayNotificationsWhenFocused = true;
Ti.App.CloudPush.focusAppOnPush = false;
Ti.App.CloudPush.singleCallback = true;

Ti.App.CloudPush.addEventListener('callback', function(evt){
    alert(evt.payload);
});

Ti.App.CloudPush.addEventListener('trayClickLaunchedApp', function(evt){
    alert('Tray Click Launched App (app was not running)');
});

Ti.App.CloudPush.addEventListener('trayClickFocusedApp', function(evt){
    alert('Tray Click Focused App (app was already running)');
});

function doClick(e) {
	Ti.App.CloudPush.retrieveDeviceToken({
	    success: function(e){
			Ti.API.warn('ENABLE PUSH NOTIFICATION SUCCESS: ' + e.deviceToken);
		    Ti.App.Cloud.PushNotifications.subscribeToken({
		        device_token: e.deviceToken,
		        channel: 'test',
		        type: 'android'
		    }, function(e){
		        if(e.success){
					Alloy.createController('menu').getView().open();
					/**
					 * Here!, if i close the $.index window, CloudPush callbacks does not work
					 */
					$.index.close();
		        }else{
		            Ti.API.warn('ENABLE PUSH NOTIFICATION ERROR: ' + e);
		        }
		    });
	    },
	    error: function(e){
    	    Ti.API.warn('ENABLE PUSH NOTIFICATION ERROR: ' + e.error);
	    }
	});
}

$.index.open();
